#define CT_STATIC			0
#define CT_BUTTON			1
#define CT_EDIT				2

#define ST_CENTER			2
#define ST_MULTI			16
#define ST_TITLE			32
#define ST_PICTURE			48
#define ST_3D_BORDER		80
#define ST_NO_BORDER		96
#define ST_NO_RECT			512

class RscBackgroundConsole
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_3D_BORDER;
	x=1;
	y=1;
	w=0;
	h=0;
	text="";
	ColorBackground[]={0,0,0,1};
	ColorText[]={1,1,1,0};
	font="tahomaB";
	SizeEx = 0;
};

class RscTitleConsole
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_TITLE + ST_CENTER + ST_NO_RECT + ST_NO_BORDER;
	ColorBackground[]={0, 1, 0, 1};
	ColorText[] = {1,1,1,1};
	font = "tahomaB";
	SizeEx = 0.022;
};

class RscLabelsConsole
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_NO_RECT + ST_CENTER + ST_MULTI;
	colorBackground[] = {0, 0, 0, 1};
	ColorText[] = {1, 1, 0, 1};
	font = "tahomaB";
	lineSpacing = 1;
	sizeEx = 0.022;
};
	
class RscTextConsole
{
	type = CT_STATIC;
	IDC = -1;
	style = ST_TITLE + ST_CENTER + ST_NO_RECT;
	colorBackground[] = {0.627, 0.980, 0.345, 1};
	ColorText[] = {1, 1, 1, 1};
	font = "tahomaB";
	SizeEx = 0.022;
};

class RscEditConsole
{
	type = CT_EDIT;
	IDC = -1;
	style = ST_CENTER;
	colorBackground[] = {0, 0, 0, 1};
	ColorText[] = {1, 1, 1, 1};
	font = "tahomaB";
	SizeEx = 0.025;
};

class RscPictureConsole
{
	IDC = -1;
	type = 0;
	style = 48;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {1, 1, 1, 1};
	font = bitStream;
	sizeEx = 1;
};

class RscButtonConsole
{
	type = CT_BUTTON;
	style = ST_CENTER;
	w = 0.11;
	h = 0.05;
	ColorText[] = {0.08, 0.08, 0.12,1};
	font = "tahomaB";
	SizeEx = 0.02;
};

class RscUAV_console
{
	IDD = 9999;
	MovingEnable = false;

	class Controls
	{
		class Background : RscBackgroundConsole
		{
			x = 0;
			y = 0;
			w = 1;
			h = 1;
		};
		class MC : RscLabelsConsole
		{
			x = 0.1875;
			y = 0.27;
			w = 0.125;
			h = 0.03;
			text = "Main control";
		};
		class VIEWRECON: RscButtonConsole
		{
			IDC = 1001;
			x = 0.1875;
			y = 0.3;
			w = 0.125;
			h = 0.035;
			text = "VIEW RECON";
			action = "uav exec ""EMSI_Data\EMSI_UAV_recon.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class VIEWMAP: RscButtonConsole
		{
			IDC = 1020;
			x = 0.6875;
			y = 0.3;
			w = 0.125;
			h = 0.035;
			text = "VIEW MAP";
			action = "[] exec ""EMSI_Data\EMSI_UAV_map.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class MANUALFLIR: RscButtonConsole
		{
			IDC = 1021;
			x = 0.1875;
			y = 0.35;
			w = 0.125;
			h = 0.035;			
			text = "MANUAL FLIR";
			action = "[] exec ""EMSI_Data\EMSI_UAV_flir.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class TAKEOFF: RscButtonConsole
		{
			IDC = 1013;
			x = 0.1875;
			y = 0.4;
			w = 0.125;
			h = 0.035;
			text = "TAKE OFF";
			action = "[] exec ""EMSI_Data\EMSI_UAV_take_off.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class LAND: RscButtonConsole
		{
			IDC = 1002;
			x = 0.1875;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "LAND";
			action = "[] exec ""EMSI_Data\EMSI_UAV_land.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class EXIT: RscButtonConsole
		{
			IDC = 1003;
			x = 0.1875;
			y = 0.55;
			w = 0.125;
			h = 0.035;
			text = "EXIT";
			action = "closeDialog 9999; enableRadio true; setAperture -1";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class SC : RscLabelsConsole
		{
			x = 0.6875;
			y = 0.27;
			w = 0.125;
			h = 0.03;
			text = "Supply control";
		};
		class SM : RscLabelsConsole
		{
			x = 0.28375;
			y = 0.745;
			w = 0.125;
			h = 0.03;
			text = "Speed mode";
		};
		class LIMITED: RscButtonConsole
		{
			IDC = 1014;
			x = 0.28375;
			y = 0.775;
			w = 0.125;
			h = 0.035;
			text = "LIMITED";
			action = "[] exec ""EMSI_Data\EMSI_UAV_limited.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class NORMAL: RscButtonConsole
		{
			IDC = 1015;
			x = 0.43375;
			y = 0.775;
			w = 0.125;
			h = 0.035;
			text = "NORMAL";
			action = "[] exec ""EMSI_Data\EMSI_UAV_normal.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class FULL: RscButtonConsole
		{
			IDC = 1016;
			x = 0.58375;
			y = 0.775;
			w = 0.125;
			h = 0.035;
			text = "FULL";
			action = "[] exec ""EMSI_Data\EMSI_UAV_full.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class FM : RscLabelsConsole
		{
			x = 0.28375;
			y = 0.845;
			w = 0.125;
			h = 0.03;
			text = "Flight mode";
		};
		class FRIENDLY: RscButtonConsole
		{
			IDC = 1017;
			x = 0.28375;
			y = 0.875;
			w = 0.125;
			h = 0.035;
			text = "FRIENDLY AREA";
			action = "[] exec ""EMSI_Data\EMSI_UAV_friendly.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class ENEMY: RscButtonConsole
		{
			IDC = 1018;
			x = 0.43375;
			y = 0.875;
			w = 0.125;
			h = 0.035;
			text = "ENEMY AREA";
			action = "[] exec ""EMSI_Data\EMSI_UAV_enemy.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class TASK: RscButtonConsole
		{
			IDC = 1019;
			x = 0.58375;
			y = 0.875;
			w = 0.125;
			h = 0.035;
			text = "TASK AREA";
			action = "[] exec ""EMSI_Data\EMSI_UAV_task.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class TCSLOGO: RscPictureConsole
		{
			IDC = 1010;
			x = 0.4;
			y = 0.3;
			w = 0.2;
			h = 0.27;
			text = "EMSI_Data\EMSI_UAV_tcs.paa";
			colorText[] = {1,1,1,1};
		};
		class DATALINK: RscTextConsole
		{
			IDC = 1011;
			x = 0.2;
			y = 0.65;
			w = 0.6;
			h = 0.05;
			text = "";
			sizeEx = 0.025;
		};
		class NADPIS: RscTitleConsole
		{
			IDC = 1012;
			x = 0;
			y = 0.125;
			w = 1;
			h = 0.05;
			text = "UAV MRU - Mobile Reception Unit";
			sizeEx = 0.035;
		};
		class DESTRBUTTONMAIN: RscButtonConsole
		{
			IDC = 1022;
			x = 0.6875;
			y = 0.55;
			w = 0.125;
			h = 0.035;
			text = "DESTROY UAV";
			action = "[] exec ""EMSI_Data\EMSI_UAV_destruction.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class DESTRFRAME: RscBackgroundConsole
		{
			idc = 1025;
			x = 0.325;
			y = 0.3;
			w = 0.35;
			h = 0.25;
		};
		class DESTRTEXT: RscLabelsConsole
		{
			idc = 1026;
			x = 0.3;
			y = 0.35;
			w = 0.4;
			h = 0.05;
			colorText[] = {1, 0, 0, 1};
			colorBackground[] = {0, 0, 0, 0};
			text = "ARE YOU SURE ?";
			sizeEx = 0.04;
		};
		class DESTRBUTTONOK: RscButtonConsole
		{
			IDC = 1023;
			x = 0.35;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "OK";
			action = "[1] exec ""EMSI_Data\EMSI_UAV_destruction_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class DESTRBUTTONCANCEL: RscButtonConsole
		{
			IDC = 1024;
			x = 0.525;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "CANCEL";
			action = "[0] exec ""EMSI_Data\EMSI_UAV_destruction_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class ALTBUTTONMAIN: RscButtonConsole
		{
			IDC = 5000;
			x = 0.6875;
			y = 0.35;
			w = 0.125;
			h = 0.035;
			text = "SET ALT";
			action = "[] exec ""EMSI_Data\EMSI_UAV_set_alt.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class ALTFRAME: RscBackgroundConsole
		{
			idc = 5001;
			x = 0.325;
			y = 0.2;
			w = 0.35;
			h = 0.35;
		};
		class ALTTEXT: RscLabelsConsole
		{
			idc = 5002;
			x = 0.3;
			y = 0.25;
			w = 0.4;
			h = 0.1;
			colorText[] = {1, 1, 1, 1};
			colorBackground[] = {0, 0, 0, 0};
			text = "";
			sizeEx = 0.03;
		};
		class ALTEDITTEXT: RscEditConsole
		{
			idc = 5003;
			x = 0.4;
			y = 0.35;
			w = 0.2;
			h = 0.05;
			text = "";
			colorSelection[] = {0, 0, 0, 0.5};
			autoComplete = false;
		};
		class ALTBUTTONOK: RscButtonConsole
		{
			IDC = 5004;
			x = 0.35;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "OK";
			action = "[1] exec ""EMSI_Data\EMSI_UAV_set_alt_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class ALTBUTTONCANCEL: RscButtonConsole
		{
			IDC = 5005;
			x = 0.525;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "CANCEL";
			action = "[0] exec ""EMSI_Data\EMSI_UAV_set_alt_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class WPBUTTONMAIN: RscButtonConsole
		{
			IDC = 4000;
			x = 0.6875;
			y = 0.4;
			w = 0.125;
			h = 0.035;
			text = "SET WP";
			action = "[] exec ""EMSI_Data\EMSI_UAV_set_wp.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class WPFRAME: RscBackgroundConsole
		{
			idc = 4001;
			x = 0.325;
			y = 0.2;
			w = 0.35;
			h = 0.35;
		};
		class WPTEXT: RscLabelsConsole
		{
			idc = 4002;
			x = 0.3;
			y = 0.25;
			w = 0.4;
			h = 0.15;
			colorText[] = {1, 1, 1, 1};
			colorBackground[] = {0, 0, 0, 0};
			text = "";
			sizeEx = 0.025;
		};
		class WPBUTTONOK: RscButtonConsole
		{
			IDC = 4003;
			x = 0.35;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "OK";
			action = "[1] exec ""EMSI_Data\EMSI_UAV_set_wp_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class WPBUTTONCANCEL: RscButtonConsole
		{
			IDC = 4004;
			x = 0.525;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "CANCEL";
			action = "[0] exec ""EMSI_Data\EMSI_UAV_set_wp_result.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};
		class APPROACHBUTTON: RscButtonConsole
		{
			IDC = 77;
			x = 0.6875;
			y = 0.45;
			w = 0.125;
			h = 0.035;
			text = "APPROACH";
			action = "[] exec ""EMSI_Data\EMSI_UAV_approach.sqs""";
			colorDisabled[] = {0, 0, 0, 0.5};
			colorBackgroundDisabled[] = {0, 0, 0, 0.5};
			colorBackground[] = {1, 1, 1, 0.5};
			colorBackgroundActive[] = {0.627, 0.980, 0.345, 1};
			colorFocused[] = {0.933, 0.466, 0.125, 0};
			colorShadow[] = {1, 1, 1, 0};
			colorBorder[] = {0, 0, 0, 1};
			borderSize = 0;
			offsetX = 0.0;
			offsetY = 0.0;
			offsetPressedX = 0.003;
			offsetPressedY = 0.003;
			soundEnter[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
			soundPush[] = {"\ca\ui\data\sound\new1", 0.2, 1};
			soundClick[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
			soundEscape[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
		};		
	};
};